﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThinkGeo.Core;

namespace RDPPanZoomIssue
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void MapView_OnLoaded(object sender, RoutedEventArgs e)
        {
            var osmOverlay = new OpenStreetMapOverlay("thinkgeo/RDPPanZoomIssue");
            mapView.Overlays.Add(osmOverlay);
            
            var overlay = new LayerOverlay();
            overlay.TileType = TileType.MultiTile;
            mapView.Overlays.Add(overlay);

            var rasterLayer = new NativeImageRasterLayer(@"Data\m_3309650_sw_14_1_20160911_20161121.jpg");
            overlay.Layers.Add(rasterLayer);

            var parksLayer = new ShapeFileFeatureLayer(@"Data\Parks.shp");
            parksLayer.FeatureSource.ProjectionConverter = new ProjectionConverter(2276, 3857);
            parksLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = new AreaStyle(GeoBrushes.Red);
            parksLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            overlay.Layers.Add(parksLayer);

            rasterLayer.Open();
            mapView.CurrentExtent = rasterLayer.GetBoundingBox();
        }
    }
}
